cURL
curl --request PATCH \ --url https://v1.api.flux-os.com/contracts/{id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --header 'x-user-id: <api-key>' \ --data ' { "external_id": "<string>", "term": "<unknown>", "transaction_type": "<unknown>", "type": "<unknown>", "start_date": "2023-12-25", "volume": 123, "volume_measurement_unit": "<unknown>", "measurement_type": "<unknown>", "pricing_basis": "<unknown>", "settlement_currency": "<unknown>", "payment_term": "<unknown>", "end_date": "2023-12-25", "differential_unit_amount": null, "differential_currency": null, "differential_measurement_unit": null, "percentage_of_index": null, "percentage_of_index_measurement_unit": null, "percentage_of_benchmark": null, "percentage_of_benchmark_measurement_unit": null, "eq": null, "index": null, "product_category": null, "stream": null, "benchmark": null, "stream_wadf": null, "feeder_wadf": null, "broker_transaction_id": null } '
{ "external_id": "<string>", "start_date": "2023-12-25", "volume": 123, "id": "<string>", "end_date": null, "differential_unit_amount": null, "percentage_of_index": null, "percentage_of_benchmark": null, "percentage_of_benchmark_measurement_unit": null, "broker_transaction_id": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "parties": [ { "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "users": [ { "party": "<unknown>", "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] } ], "schedules": [ { "production_month": "2023-12-25", "volume": 123, "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "estimated_qualities": [ { "value": 123, "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "chains": [ { "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "legs": [ { "position": 123, "chain": "<unknown>", "volume": 123, "id": "<string>", "source_well": { "id": "<string>", "name": null }, "is_custody_transfer": false, "is_chain_source": false, "is_chain_destination": false, "fob": false, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] } ] } ], "profit_shares": [ { "value": 123, "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "paper": { "id": "<string>", "external_id": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "legal_provisions": [ { "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }, "fees": [ { "id": "<string>", "amount": null, "transport_leg": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "total_cost": 123 } ], "premiums": [ { "amount": 123, "id": "<string>", "name": "Premium", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ], "pricing_provisions": [ { "id": "<string>", "description": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "groups": [ { "id": "<string>", "parent_group": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "conditions": [ { "value": 123, "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] } ] } ] }
Update an existing contract by ID.
The contract ID.
255
Contract updated.
Show child attributes